Supported Browser Versions

The GoLinks Browser extension is supported on all major browsers. Here are the specific versions required to install the extension

  • Chrome 65 and up
  • Firefox 45 and up
  • Safari 14
  • Opera 79 and up
  • Microsoft Edge 79 and up
  • Brave 1.0 and up

The following browsers do no have extension support, however, will still be able to use golinks when setup with the DNS or the Search Domain

  • Internet Explorer
  • Vivaldi

Please note: Internet Explorer has been replaced by Microsoft Edge, so there are no plans to build a working extension for this browser.

Need more help?

Technical support

Send us your technical inquiries

Contact us →
Contact sales

Demo or answer sales questions

Contact sales →
Chat with us

Get quicker responses with chat

Chat now →
Blog

GoLinks and productivity articles

View blog →